body {
  height: 100svh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.container {
  width: 330px;
  max-width: 350px;
  background: #F8F9FD;
  background: linear-gradient(0deg, rgb(255, 255, 255) 0%, rgb(244, 247, 251) 100%);
  border-radius: var(--radius);
  padding: 25px 35px;
  border: 5px solid rgb(255, 255, 255);
  box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 30px 30px -20px;
  margin: 20px;
  position: relative;
}

img[alt=logo] {
	width: 59px;
	height: 59px;
}

.heading {
  text-align: center;
  font-weight: 900;
  font-size: 30px;
  color: rgb(16, 137, 211);
}

.form {
  margin-top: 20px;
}

.form .input {
  width: 100%;
  background: white;
  border: none;
  padding: 15px 20px;
  border-radius: var(--radius);
  margin-top: 15px;
  box-shadow: #cff0ff 0px 10px 10px -5px;
  border-inline: 2px solid transparent;
  transition: all .3s ease-in-out;
  -webkit-transition: all .3s ease-in-out;
  -moz-transition: all .3s ease-in-out;
  -ms-transition: all .3s ease-in-out;
  -o-transition: all .3s ease-in-out;
}

.form .input::-moz-placeholder {
  color: rgb(170, 170, 170);
}

.form .input::placeholder {
  color: rgb(170, 170, 170);
}

.form .input:focus {
  outline: none;
  border-inline: 2px solid #12B1D1;
}

h2 {
  display: inline-block;
}

.form h5.error {
  font-size: 12px;
  margin-top: 10px;
  padding-right: 10px;
  color: #ff0000;
}

.input-error {
    border-inline: 2px solid #ff0000 !important;
    box-shadow: #fa9696 0px 10px 10px -5px !important;
}


.form .forgot-password {
  display: block;
  margin-top: 10px;
  margin-left: 10px;
}


.form .forgot-password ,
  .form .forgot-password a {
  font-size: 12px;
  color: #0099ff;
}

.form .login-button {
  display: block;
  width: 100%;
  font-weight: bold;
  background: linear-gradient(45deg, rgb(16, 137, 211) 0%, rgb(18, 177, 209) 100%);
  color: white;
  padding-block: 15px;
  margin: 20px auto;
  border-radius: var(--radius);
  box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 20px 10px -15px;
  border: none;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
}

.form .login-button:hover {
  transform: scale(1.03);
  box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 23px 10px -20px;
}

.form .login-button:active {
  transform: scale(0.95);
  box-shadow: rgba(133, 189, 215, 0.8784313725) 0px 15px 10px -10px;
}

.form .button-container {
  position: relative;
}


/* button loading */
.dot-spinner {
  position: absolute;
  display: none;
  align-items: center;
  justify-content: flex-start;
  --uib-speed: 0.9s;
  height: 2.5rem;
  width: 2.5rem;
  top: 6px;
  right: 0;
  left: 0;
  margin: auto;
  /*animation: float 3s linear infinite;*/
}

.dot-spinner.active {
  display: flex;
}

@keyframes float {
  0% {
    transform: rotate(0deg) translate(100px) rotate(0deg);
  }

  100% {
    transform: rotate(360deg) translate(100px) rotate(-360deg);
  }
}

.dot-spinner__dot::before {
  content: '';
  height: 20%;
  width: 20%;
  border-radius: 50%;
  background-color: #fff;
  filter: drop-shadow(0 0 10px rgb(95, 150, 202));
  box-shadow: -6px -6px 11px #c1c1c1,
             6px 6px 11px #ffffff;
  transform: scale(0);
  opacity: 0.5;
  animation: pulse0112 calc(var(--uib-speed) * 1.111) ease-in-out infinite;
  box-shadow: 0 0 20px rgba(18, 31, 53, 0.3);
}

.dot-spinner__dot {
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	height: 100%;
	width: 100%;
}

.dot-spinner__dot:nth-child(2) {
	transform: rotate(45deg);
}

.dot-spinner__dot:nth-child(2)::before {
	animation-delay: calc(var(--uib-speed) * -0.875);
}

.dot-spinner__dot:nth-child(3) {
	transform: rotate(90deg);
}

.dot-spinner__dot:nth-child(3)::before {
	animation-delay: calc(var(--uib-speed) * -0.75);
}

.dot-spinner__dot:nth-child(4) {
	transform: rotate(135deg);
}

.dot-spinner__dot:nth-child(4)::before {
	animation-delay: calc(var(--uib-speed) * -0.625);
}

.dot-spinner__dot:nth-child(5) {
	transform: rotate(180deg);
}

.dot-spinner__dot:nth-child(5)::before {
	animation-delay: calc(var(--uib-speed) * -0.5);
}

.dot-spinner__dot:nth-child(6) {
	transform: rotate(225deg);
}

.dot-spinner__dot:nth-child(6)::before {
	animation-delay: calc(var(--uib-speed) * -0.375);
}

.dot-spinner__dot:nth-child(7) {
	transform: rotate(270deg);
}

.dot-spinner__dot:nth-child(7)::before {
	animation-delay: calc(var(--uib-speed) * -0.25);
}

.dot-spinner__dot:nth-child(8) {
	transform: rotate(315deg);
}

.dot-spinner__dot:nth-child(8)::before {
	animation-delay: calc(var(--uib-speed) * -0.125);
}

@keyframes pulse0112 {
	0%,100% {
	transform: scale(0);
	opacity: 0.5;
	}

	50% {
	transform: scale(1);
	opacity: 1;
	}
}

.blocked-form{
	position: relative;
}
.blocked-form::after{
	content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: rgba(255, 255, 255, .3);
    cursor: not-allowed;
}
.err__alert{    
    margin: 10px 20px;
    padding: 10px;
    border-radius: 2px;
    display: flex;
    align-items: center;
    gap: 5px;
}
.err__alert--danger{
	border: 1px solid #ef6464;
    background-color: #F16767;
}
.err__alert--text{
    color: #fff;
	font-size: 13px;
	font-weight: 500;
}
@media screen and (min-width:600px) {
	.err__alert{
		margin: 10px 0 0 0;
	}
	.err__alert--text{
		font-size: 14px;
		font-weight: normal;
	}
}